Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## turtlekit.simulations.soccer
Class SoccerViewer

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Watcher
              turtlekit.kernel.Observer
                  turtlekit.kernel.Viewer
                      turtlekit.simulations.soccer.SoccerViewer

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public class SoccerViewer

extends Viewer

SoccerViewer changes the turtle display to obtain a tiny player insteed of a rect,

Version:
  1.2 4/1/2000
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Field Summary

Fields inherited from class turtlekit.kernel.Observer
`envHeight, envWidth, patchGrid`

Constructor Summary
`SoccerViewer()`

Method Summary
`void` | `paintTurtle(java.awt.Graphics g, Turtle t, int x, int y, int cellSize)` In the same way, you can give a special graphic representation of your turtles.

Methods inherited from class turtlekit.kernel.Viewer
`display, getFlash, getFlashStepSize, getRedrawAll, getShow, initGUI, paintPatch, setFlash, setFlashStepSize, setRedrawAll, setShow, setup`

Methods inherited from class turtlekit.kernel.Observer
`activate, end, getSimulationGroup, watch`

Methods inherited from class madkit.kernel.Watcher
`addProbe, addProbe, getProbes, removeAllProbes, removeProbe, update`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoccerViewer

    public SoccerViewer()

Method Detail

### paintTurtle

    public void paintTurtle(java.awt.Graphics g,
                            Turtle t,
                            int x,
                            int y,
                            int cellSize)

  Description copied from class: `Viewer`
  In the same way, you can give a special graphic representation of your turtles. Default: g.setColor(t.getColor()); g.fillRect(x,y,cellS,cellS);

  Overrides:
    `paintTurtle` in class `Viewer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.